# Class JSplitPane

java.lang.Object
org.jmol.awtjs.swing.Component
org.jmol.awtjs.swing.Container
org.jmol.awtjs.swing.JComponent
org.jmol.awtjs.swing.JSplitPane

public class JSplitPane extends JComponent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HORIZONTAL_SPLIT`

### Fields inherited from class JComponent

`actionCommand, actionListener, autoScrolls`

### Fields inherited from class Container

`list`

### Fields inherited from class Component

`enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

## Constructor Summary

Constructors
Constructor
Description
`JSplitPane(int split)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSubcomponentHeight()`
`int`
`getSubcomponentWidth()`
`void`
`setLeftComponent(JComponent l)`
`void`
`setRightComponent(JComponent r)`
`String`
`toHTML()`

### Methods inherited from class JComponent

`addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

### Methods inherited from class Container

`add, addComponent, getComponent, getComponentCount, getComponents, insertComponent, remove, removeAll`

### Methods inherited from class Component

`addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HORIZONTAL_SPLIT

public static final int HORIZONTAL_SPLIT

See Also:
  - Constant Field Values

## Constructor Details

### JSplitPane

public JSplitPane(int split)

## Method Details

### setRightComponent

public void setRightComponent(JComponent r)

### setLeftComponent

public void setLeftComponent(JComponent l)

### getSubcomponentWidth

public int getSubcomponentWidth()

Overrides:
  `getSubcomponentWidth` in class `Container`

### getSubcomponentHeight

public int getSubcomponentHeight()

Overrides:
  `getSubcomponentHeight` in class `Container`

### toHTML

public String toHTML()

Specified by:
  `toHTML` in class `Component`